Results 1 to 5 of 5

Thread: Apache upgrade from 2.2 to 2.4

  1. #1

    Default Apache upgrade from 2.2 to 2.4

    Hello, I am running a vmware opensuse server and I am using apache 2.2. Everything is working fine but I would like to upgrade it to apache 2.4. I only have access to yast through the command line, and I am not able to use yum. How can I upgrade to apache 2.4. I am using it in conjunction with MySQL and PHP and would like to leave those intact. Is this possible and if so how?
    Thank you very muchl ol!

  2. #2
    Join Date
    Aug 2008
    Location
    Seattle, WA
    Posts
    1,376

    Default Re: Apache upgrade from 2.2 to 2.4

    Quote Originally Posted by alecsm3 View Post
    Hello, I am running a vmware opensuse server and I am using apache 2.2. Everything is working fine but I would like to upgrade it to apache 2.4. I only have access to yast through the command line, and I am not able to use yum. How can I upgrade to apache 2.4. I am using it in conjunction with MySQL and PHP and would like to leave those intact. Is this possible and if so how?
    Thank you very muchl ol!
    See man zypper for managing software in text mode.

  3. #3

    Default Re: Apache upgrade from 2.2 to 2.4

    I have been reading some of the other forums and one of them said that you can not download Apache 2.4, until a new distribution of opensuse comes out. Is this true, or can I use the source from apache website?

  4. #4
    Join Date
    Jun 2008
    Location
    Groningen, Netherlands
    Posts
    19,644
    Blog Entries
    14

    Default Re: Apache upgrade from 2.2 to 2.4

    Had a look at software.opensuse.org: Download openSUSE 12.1, but no results for apache 2.4. Which means you'd have to download and compile apache from source. I don't know to what extend your life depends on the server, but, if it's working fine, what is 2.4 going to bring that you need?
    ° Appreciate my reply? Click the star and let me know why.

    ° Perfection is not gonna happen. No way.

    https://en.opensuse.org/openSUSE:Board#Members
    http://en.opensuse.org/User:Knurpht
    http://nl.opensuse.org/Gebruiker:Knurpht

  5. #5
    Join Date
    Mar 2009
    Location
    sri mayapur, west bengal, india
    Posts
    958

    Default Re: Apache upgrade from 2.2 to 2.4

    On Tue, 22 May 2012 01:56:02 +0530, Knurpht
    <Knurpht@no-mx.forums.opensuse.org> wrote:

    >
    > Had a look at 'software.opensuse.org: Download openSUSE 12.1'
    > (http://software.opensuse.org), but no results for apache 2.4. Which
    > means you'd have to download and compile apache from source. I don't
    > know to what extend your life depends on the server, but, if it's
    > working fine, what is 2.4 going to bring that you need?
    >


    i had to do this the other way around once, because a CMS i was using
    (drupal) wouldn't work with the current apache version of openSUSE, and
    earlier ones weren't in any repos.

    i found it best to compile both apache2 and PHP in a separate location
    (prefix), and then call apache from that location instead of the default
    one. worked ok as long as i needed it and then it was easy to revert to
    the current openSUSE versions.

    i've dont this only once and don't remember the exact steps. what i do
    remember is that it took some trying to get the configuration options
    right. it helped to use the PHP phpinfo() function to see what options had
    been used in the original configuration.

    --
    phani.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •